Description: fixed format-security issues
Author: IOhannes m zmölnig
Forwarded: no
Last-Update: 2018-01-30
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- pd-hid.orig/hid.c
+++ pd-hid/hid.c
@@ -95,7 +95,7 @@
 		//t_int arg[8];
 		va_start(ap, fmt);
 		vsnprintf(buf, MAXPDSTRING-1, fmt, ap);
-		pd_error(x, buf);
+		pd_error(x, "%s", buf);
 		va_end(ap);
 	}
 }
